import json
import os
from pickler import decompress_pickle


class i18n_FR():
    def __init__(self):
        self.names = decompress_pickle(f'{os.path.dirname(__file__)}/data/i18n_fr.pbz2')

    def get_name(self, uid):
        if str(uid) in self.names['texts']:
            return self.names['texts'][str(uid)]
        return "UKN_NAME_" + str(uid)

i18n_fr = i18n_FR()
